##Configuration - Stream - Stream Profiles

Stream Profiles are the settings for output formats. These are used for Live TV
streaming and recordings. The profiles are assigned through the Access Entries,
DVR Profiles or as parameter for HTTP Streaming.

* Types
  - [HTSP Profile](class/profile-htsp)
  - [MPEG-TS Pass-thru Profile](class/profile-mpegts)
  - [Matroska Profile](class/profile-matroska)
  - [MPEG-TS/libav Profile](class/profile-libav-mpegts)
  - [Matroska/libav Profile](class/profile-libav-matroska)
  - [MP4/libav Profile](class/profile-libav-mp4)
  - [Transcode Profile](class/profile-transcode)

!['Stream Profiles'](docresources/configstreamprofiles.png)

---

###Menu Bar/Buttons

The following functions are available:

Button     | Function
-----------|---------
**Save**   | Save any changes made to the stream profile configuration.
**Undo**   | Undo any changes made to the stream profile configuration since the last save.
**Add**    | Add a new stream profile.
**Delete** | Delete an existing stream profile.
**Help**   | Display this help page.

---

####Add/Edit Dialog Example

A common set of fields is used for the _Add_ or _Edit_ functions, most
of which can also be seen in the grid view:

!['Add/Edit Stream Profiles' Dialog - mkv](docresources/configstreamprofiles1.png)

!['Add/Edit Stream Profiles' Dialog - ts](docresources/configstreamprofiles2.png)

!['Add/Edit Stream Profiles' Dialog - transcode](docresources/configstreamprofiles3.png)

---
